# $Revision: 1.27 $, $Date: 2010/07/22 19:11:00 $
#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
#
Summary:	A Telepathy account manager
Summary(pl.UTF-8):	Zarządca kont Telepathy
Name:		telepathy-mission-control
Version:	5.5.3
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://telepathy.freedesktop.org/releases/telepathy-mission-control/%{name}-%{version}.tar.gz
# Source0-md5:	117528e399d190f66c176e37aefb85d6
URL:		http://mission-control.sourceforge.net/
BuildRequires:	GConf2-devel
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	dbus-glib-devel >= 0.82
BuildRequires:	docbook-dtd412-xml
BuildRequires:	glib2-devel >= 1:2.24.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.3}
BuildRequires:	libtool
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRequires:	python-modules
BuildRequires:	telepathy-glib-devel >= 0.11.9
Conflicts:	libtelepathy < 0.3.3-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An account manager for Telepathy.

%description -l pl.UTF-8
Zarządca kont dla Telepathy.

%package devel
Summary:	Header files for mission control library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki mission control
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dbus-glib-devel >= 0.61
Requires:	telepathy-glib-devel >= 0.11.9

%description devel
Header files for mission control library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki mission control.

%package apidocs
Summary:	mission control library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki mission control
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
mission control library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki mission control.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static \
	--%{?with_apidocs:en}%{!?with_apidocs:dis}able-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/mission-control/profiles

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/telepathy/{clients,managers}

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%pretrans
# this needs to be a file
if [ -d %{_libexecdir}/mission-control ]; then
	rm -rf %{_libexecdir}/mission-control
fi

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/mc-tool
%attr(755,root,root) %{_bindir}/mc-wait-for-name
%attr(755,root,root) %{_libexecdir}/mission-control-5
%{_mandir}/man1/mc-tool.1*
%{_mandir}/man1/mc-wait-for-name.1*
%{_mandir}/man8/mission-control-5.8*
%attr(755,root,root) %{_libdir}/libmission-control-plugins.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmission-control-plugins.so.0
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.AccountManager.service
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.MissionControl5.service
%dir %{_datadir}/mission-control
%dir %{_datadir}/mission-control/profiles
%dir %{_datadir}/telepathy
%dir %{_datadir}/telepathy/clients
%dir %{_datadir}/telepathy/managers

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmission-control-plugins.so
%{_includedir}/mission-control-5.5
%{_pkgconfigdir}/*.pc

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/mission-control-plugins
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: telepathy-mission-control.spec,v $
Revision 1.27  2010/07/22 19:11:00  patrys
- 5.5.3

Revision 1.26  2010/05/29 22:12:56  patrys
- lies!

Revision 1.25  2010/05/26 09:54:06  patrys
- provide the telepathy dir

Revision 1.24  2010/05/03 20:34:05  patrys
- 5.4.0

Revision 1.23  2009/12/07 20:46:46  sparky
- BR: docbook-dtd412-xml, python-modules

Revision 1.22  2009/12/07 16:57:48  patrys
- 5.3.2

Revision 1.21  2009/11/08 00:23:02  megabajt
- updated to 5.2.6

Revision 1.20  2009/08/25 21:45:51  patrys
- 5.2.0

Revision 1.19  2008/07/31 15:27:58  patrys
- 4.67

Revision 1.18  2008-04-05 19:49:42  qboosh
- unified

Revision 1.17  2008-04-05 05:06:45  aredridel
- 4.64

Revision 1.16  2008-01-23 18:14:05  qboosh
- don't leave unusable empty dir or junk dir of unusable orphaned files - just rm -rf

Revision 1.15  2008-01-17 02:11:14  aredridel
- 4.55

Revision 1.14  2008-01-14 16:48:20  patrys
- dir -> file changed
- rel 2

Revision 1.13  2008-01-14 16:43:32  patrys
- 4.54

Revision 1.12  2007-12-20 02:53:30  patrys
- 4.51

Revision 1.11  2007-10-27 18:28:53  megabajt
- updated to 4.49
- more verbose files

Revision 1.10  2007/08/13 14:01:04  patrys
- 4.33

Revision 1.9  2007/07/28 07:57:12  megabajt
- updated to 4.30

Revision 1.8  2007/06/19 13:01:44  megabajt
- updated to 4.26

Revision 1.7  2007/06/17 20:48:36  megabajt
- updated to 4.25

Revision 1.6  2007/06/10 15:37:39  megabajt
- updated to 4.23
- added apidocs bcond and subpackage

Revision 1.5  2007/05/25 18:01:44  qboosh
- pl

Revision 1.4  2007/05/24 01:30:42  aredridel
- added missing dirs for profiles

Revision 1.3  2007/05/20 18:25:40  agaran
- missing BRs

Revision 1.2  2007/05/20 17:30:24  patrys
- BR: libtelepathy-devel

Revision 1.1  2007/05/15 04:33:07  aredridel
- added
